## kde-cli-tools 5.27.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(KDE-CLI-Tools)
set(PROJECT_VERSION "5.27.12")

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.102.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)
include(FeatureSummary)
include(CheckIncludeFile)
include(CheckIncludeFiles)
include(CheckSymbolExists)
include(ECMOptionalAddSubdirectory)
include(KDEClangFormat)
include(ECMDeprecationSettings)

include(KDEGitCommitHooks)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Widgets
    Svg
    DBus
)

find_package(Qt${QT_MAJOR_VERSION}Test ${QT_MIN_VERSION} CONFIG QUIET)
set_package_properties(Qt${QT_MAJOR_VERSION}Test PROPERTIES
         PURPOSE "Required for tests"
         TYPE OPTIONAL
         )
add_feature_info("Qt${QT_MAJOR_VERSION}Test" Qt${QT_MAJOR_VERSION}Test_FOUND "Required for building tests")
if (NOT Qt${QT_MAJOR_VERSION}Test_FOUND)
    set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
endif()

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Config
    DocTools
    IconThemes
    I18n
    KCMUtils
    KIO
    Service
    WindowSystem
    Activities
    Parts
    CoreAddons
    OPTIONAL_COMPONENTS
    Su
    QUIET
)
find_package(LibKWorkspace ${PROJECT_VERSION} REQUIRED)

# Disables automatic conversions from QString (or char *) to QUrl.
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

find_package(X11)
find_package(XCB COMPONENTS XCB)
if(X11_FOUND AND XCB_XCB_FOUND)
  set(HAVE_X11 1)
  if (QT_MAJOR_VERSION EQUAL "5")
    find_package(Qt5X11Extras ${QT_MIN_VERSION} CONFIG)
  endif()
endif()

ecm_set_disabled_deprecation_versions(QT 5.15.2)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(doc)
kdoctools_install(po)

function(install_compat_symlink executable_target)
    add_custom_command(TARGET ${executable_target} POST_BUILD
                    COMMAND ${CMAKE_COMMAND} -E create_symlink ${executable_target} ${executable_target}5)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${executable_target}5 DESTINATION ${KDE_INSTALL_FULL_BINDIR})
endfunction()

add_subdirectory(kcmshell)
add_subdirectory(keditfiletype)
add_subdirectory(kmimetypefinder)
if (QT_MAJOR_VERSION EQUAL "5")
    add_subdirectory(ktraderclient)
endif()
add_subdirectory(kioclient)
add_subdirectory(ksvgtopng)
add_subdirectory(kdeinhibit)
add_subdirectory(plasma-open-settings)
add_subdirectory(kinfo)

if(Qt5X11Extras_FOUND)
    add_subdirectory(kstart)
endif()


if(KF5Su_FOUND)
    add_subdirectory(kdesu)
endif()

if(UNIX)
    add_subdirectory(kdeeject)
    add_subdirectory(kbroadcastnotification)
endif()

check_include_files(sys/wait.h HAVE_SYS_WAIT_H)

check_include_file("sys/prctl.h" HAVE_SYS_PRCTL_H)
check_symbol_exists(PR_SET_DUMPABLE "sys/prctl.h" HAVE_PR_SET_DUMPABLE)
check_include_file("sys/procctl.h" HAVE_SYS_PROCCTL_H)
check_symbol_exists(PROC_TRACE_CTL "sys/procctl.h" HAVE_PROC_TRACE_CTL)
if (HAVE_PR_SET_DUMPABLE OR HAVE_PROC_TRACE_CTL)
  set(CAN_DISABLE_PTRACE TRUE)
endif()
add_feature_info("prctl-dumpable"
                 CAN_DISABLE_PTRACE
                "Required for disallowing ptrace on kdesu process")

configure_file (config-kde-cli-tools.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kde-cli-tools.h )

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== ktraderclient/CMakeLists.txt ===
add_executable(ktraderclient5 ktraderclient.cpp)
target_compile_definitions(ktraderclient5 PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
ecm_mark_nongui_executable(ktraderclient5)

target_link_libraries(ktraderclient5
   KF5::Service    # KService, traders...
   KF5::CoreAddons # KAboutData
   KF5::I18n       # i18n
   Qt::Core
)

install(TARGETS ktraderclient5 ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kde-cli-tools (4:5.27.12-0ubuntu0.1) noble; urgency=medium

  * New upstream bugfix release. (LP: #2093184)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 23 Jan 2025 04:48:18 -0700

=== debian/control ===
Source: kde-cli-tools
Section: utils
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               libkf5activities-dev (>= 5.102.0~),
               libkf5config-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5doctools-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5iconthemes-dev (>= 5.102.0~),
               libkf5kcmutils-dev (>= 5.102.0~),
               libkf5kio-dev (>= 5.102.0~),
               libkf5parts-dev (>= 5.102.0~),
               libkf5service-dev (>= 5.102.0~),
               libkf5su-dev (>= 5.102.0~),
               libkf5windowsystem-dev (>= 5.102.0~),
               libqt5svg5-dev (>= 5.15.2~),
               libqt5x11extras5-dev (>= 5.15.2~),
               libxcb1-dev,
               pkg-kde-tools (>= 0.15.18~),
               pkgconf,
               plasma-workspace-dev (>= 4:5.27.12~),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/kde-cli-tools
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-cli-tools
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-cli-tools
Rules-Requires-Root: no

Package: kde-cli-tools
Architecture: any
Depends: kde-cli-tools-data (= ${source:Version}),
         kio,
         libkf5su-bin,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: systemsettings,
Description: tools to use KDE services from the command line
 These command line tools enable you to use KDE services such as
 kioslaves, kdesu, QtSVG, kcontrol modules, KDE trader and start
 applications from the command line.
 .
 This package is part of the KDE Plasma.

Package: kde-cli-tools-data
Architecture: all
Depends: ${misc:Depends},
Description: tools to use kioslaves from the command line
 These command line tools enable you to use KDE services such as
 kioslaves, kdesu, QtSVG, kcontrol modules, KDE trader and start
 applications from the command line.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the data files

## kde-cli-tools 6.1.5

=== keditfiletype/CMakeLists.txt ===
if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_filetypes\")

set(libfiletypes_SRCS
 filetypedetails.cpp
 filegroupdetails.cpp
 kservicelistwidget.cpp
 typeslistitem.cpp
 typeslistitembase.cpp
 typeslistproxyitem.cpp
 typeslisttreewidget.cpp
 mimetypedata.cpp
 mimetypewriter.cpp
 multiapplydialog.cpp
 newtypedlg.cpp
 kserviceselectdlg.cpp
 filetypedetails.h
 filegroupdetails.h
 kservicelistwidget.h
 typeslistitem.h
 typeslistitembase.h
 typeslistproxyitem.h
 typeslisttreewidget.h
 mimetypedata.h
 mimetypewriter.h
 multiapplydialog.h
 newtypedlg.h
 kserviceselectdlg.h
)

########### next target ###############

set(kcm_filetypes_SRCS filetypesview.cpp ${libfiletypes_SRCS})

kcoreaddons_add_plugin(kcm_filetypes SOURCES ${kcm_filetypes_SRCS} INSTALL_NAMESPACE "plasma/kcms/systemsettings_qwidgets")

kcmutils_generate_desktop_file(kcm_filetypes)
target_link_libraries(kcm_filetypes
    KF6::ConfigWidgets
    KF6::IconThemes
    KF6::IconWidgets
    KF6::I18n
    KF6::KCMUtils
    KF6::KIOWidgets # KOpenWithDialog, KBuildSycocaProgressDialog
    KF6::Parts
    Qt::DBus
)

########### next target ###############

set(keditfiletype_SRCS keditfiletype.cpp keditfiletype.h ${libfiletypes_SRCS})

add_executable(keditfiletype ${keditfiletype_SRCS})
target_compile_definitions(keditfiletype PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(keditfiletype
    KF6::ConfigCore
    KF6::IconThemes
    KF6::IconWidgets
    KF6::KIOWidgets # KOpenWithDialog, KBuildSycocaProgressDialog
    KF6::WindowSystem
    KF6::I18n
    KF6::Service
    KF6::Parts
    Qt::DBus
)

install_compat_symlink(keditfiletype)
install(TARGETS keditfiletype DESTINATION ${KDE_INSTALL_FULL_BINDIR})

########### install files ###############

install( PROGRAMS org.kde.keditfiletype.desktop DESTINATION ${KDE_INSTALL_APPDIR} )

=== debian/changelog ===
kde-cli-tools (4:6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 05:58:07 +0100

kde-cli-tools (4:6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:41:20 +0100

kde-cli-tools (4:6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 22 Jul 2024 08:35:55 +0200

kde-cli-tools (4:6.1.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Depend on kio6 instead of kio.

 -- Patrick Franz <deltaone@debian.org>  Sun, 21 Jul 2024 05:27:47 +0200

kde-cli-tools (4:6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Wed, 19 Jun 2024 23:50:00 +0200

kde-cli-tools (4:5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 12:23:58 +0200

=== debian/control ===
Source: kde-cli-tools
Section: utils
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.2.0~),
               gettext,
               libkf6config-dev (>= 6.2.0~),
               libkf6coreaddons-dev (>= 6.2.0~),
               libkf6doctools-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6iconthemes-dev (>= 6.2.0~),
               libkf6kcmutils-dev (>= 6.2.0~),
               libkf6kio-dev (>= 6.2.0~),
               libkf6parts-dev (>= 6.2.0~),
               libkf6service-dev (>= 6.2.0~),
               libkf6su-dev (>= 6.2.0~),
               libkf6windowsystem-dev (>= 6.2.0~),
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-svg-dev (>= 6.6.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/kde-cli-tools
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-cli-tools
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-cli-tools
Rules-Requires-Root: no

Package: kde-cli-tools
Architecture: any
Depends: kde-cli-tools-data (= ${source:Version}),
         kio6,
         libkf6su-bin,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: systemsettings,
Description: tools to use KDE services from the command line
 These command line tools enable you to use KDE services such as
 kioslaves, kdesu, QtSVG, kcontrol modules, KDE trader and start
 applications from the command line.
 .
 This package is part of the KDE Plasma.

Package: kde-cli-tools-data
Architecture: all
Depends: ${misc:Depends},
Description: tools to use kioslaves from the command line
 These command line tools enable you to use KDE services such as
 kioslaves, kdesu, QtSVG, kcontrol modules, KDE trader and start
 applications from the command line.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the data files

## kde-cli-tools 6.2.5

=== debian/changelog ===
kde-cli-tools (4:6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 18:59:30 +0000

kde-cli-tools (4:6.2.4-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:21:07 -0600

kde-cli-tools (4:6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:12:27 +0000

kde-cli-tools (4:6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:55:43 +0000

kde-cli-tools (4:6.1.5-0ubuntu2) plucky; urgency=medium

  * Rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:06:03 +0100

=== debian/control ===
--- 
+++ 
@@ -10,22 +10,22 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.2.0~),
+               extra-cmake-modules (>= 6.5.0~),
                gettext,
-               libkf6config-dev (>= 6.2.0~),
-               libkf6coreaddons-dev (>= 6.2.0~),
-               libkf6doctools-dev (>= 6.2.0~),
-               libkf6i18n-dev (>= 6.2.0~),
-               libkf6iconthemes-dev (>= 6.2.0~),
-               libkf6kcmutils-dev (>= 6.2.0~),
-               libkf6kio-dev (>= 6.2.0~),
-               libkf6parts-dev (>= 6.2.0~),
-               libkf6service-dev (>= 6.2.0~),
-               libkf6su-dev (>= 6.2.0~),
-               libkf6windowsystem-dev (>= 6.2.0~),
+               libkf6config-dev (>= 6.5.0~),
+               libkf6coreaddons-dev (>= 6.5.0~),
+               libkf6doctools-dev (>= 6.5.0~),
+               libkf6i18n-dev (>= 6.5.0~),
+               libkf6iconthemes-dev (>= 6.5.0~),
+               libkf6kcmutils-dev (>= 6.5.0~),
+               libkf6kio-dev (>= 6.5.0~),
+               libkf6parts-dev (>= 6.5.0~),
+               libkf6service-dev (>= 6.5.0~),
+               libkf6su-dev (>= 6.5.0~),
+               libkf6windowsystem-dev (>= 6.5.0~),
                pkgconf,
-               qt6-base-dev (>= 6.6.0+dfsg~),
-               qt6-svg-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.7.0+dfsg~),
+               qt6-svg-dev (>= 6.7.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kde-cli-tools
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-cli-tools

## kde-cli-tools 6.2.90

=== debian/changelog ===
kde-cli-tools (4:6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 07:59:52 +0000

=== debian/control ===
--- 
+++ 
@@ -10,19 +10,19 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.5.0~),
+               extra-cmake-modules (>= 6.10.0~),
                gettext,
-               libkf6config-dev (>= 6.5.0~),
-               libkf6coreaddons-dev (>= 6.5.0~),
-               libkf6doctools-dev (>= 6.5.0~),
-               libkf6i18n-dev (>= 6.5.0~),
-               libkf6iconthemes-dev (>= 6.5.0~),
-               libkf6kcmutils-dev (>= 6.5.0~),
-               libkf6kio-dev (>= 6.5.0~),
-               libkf6parts-dev (>= 6.5.0~),
-               libkf6service-dev (>= 6.5.0~),
-               libkf6su-dev (>= 6.5.0~),
-               libkf6windowsystem-dev (>= 6.5.0~),
+               libkf6config-dev (>= 6.10.0~),
+               libkf6coreaddons-dev (>= 6.10.0~),
+               libkf6doctools-dev (>= 6.10.0~),
+               libkf6i18n-dev (>= 6.10.0~),
+               libkf6iconthemes-dev (>= 6.10.0~),
+               libkf6kcmutils-dev (>= 6.10.0~),
+               libkf6kio-dev (>= 6.10.0~),
+               libkf6parts-dev (>= 6.10.0~),
+               libkf6service-dev (>= 6.10.0~),
+               libkf6su-dev (>= 6.10.0~),
+               libkf6windowsystem-dev (>= 6.10.0~),
                pkgconf,
                qt6-base-dev (>= 6.7.0+dfsg~),
                qt6-svg-dev (>= 6.7.0~),

## kde-cli-tools 6.2.91

=== debian/changelog ===
kde-cli-tools (4:6.2.91-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.91)

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2025 13:40:24 +0000

## kde-cli-tools 6.3.0

=== debian/changelog ===
kde-cli-tools (4:6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 14:51:56 +0100

kde-cli-tools (4:6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).
  * Add libkf6widgetsaddons-dev to build dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:50:30 +0100

kde-cli-tools (4:6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Jan 2025 00:49:35 +0100

kde-cli-tools (4:6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 10:56:16 +0100

kde-cli-tools (4:6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:21:18 +0100

kde-cli-tools (4:6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 23 Nov 2024 21:57:22 +0100

kde-cli-tools (4:6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 17:43:31 +0200

kde-cli-tools (4:6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.2.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:39 +0200

kde-cli-tools (4:6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:27:30 +0200

kde-cli-tools (4:6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: kde-cli-tools
 Section: utils
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                gettext,
                libkf6config-dev (>= 6.10.0~),
@@ -22,14 +21,15 @@
                libkf6parts-dev (>= 6.10.0~),
                libkf6service-dev (>= 6.10.0~),
                libkf6su-dev (>= 6.10.0~),
+               libkf6widgetsaddons-dev (>= 6.10.0~),
                libkf6windowsystem-dev (>= 6.10.0~),
                pkgconf,
-               qt6-base-dev (>= 6.7.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
                qt6-svg-dev (>= 6.7.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kde-cli-tools
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-cli-tools
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-cli-tools
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-cli-tools
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kde-cli-tools.git
 Rules-Requires-Root: no
 
 Package: kde-cli-tools

## kde-cli-tools 6.3.2

=== debian/changelog ===
kde-cli-tools (4:6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * New upstream release (6.3.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:50:59 +0100

## kde-cli-tools 6.3.4

=== debian/changelog ===
kde-cli-tools (4:6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:00:54 +0200

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-svg-dev (>= 6.7.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/kde-cli-tools
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-cli-tools
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kde-cli-tools.git

## kde-cli-tools 6.3.5

=== debian/changelog ===
kde-cli-tools (4:6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:32:51 +0100

kde-cli-tools (4:6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:54:06 +0100

kde-cli-tools (4:6.3.3-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:13:49 -0500

kde-cli-tools (4:6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:16:09 +0000

kde-cli-tools (4:6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 14:32:58 +0000

## kde-cli-tools 6.4.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(KDE-CLI-Tools)
set(PROJECT_VERSION "6.4.4")

set(QT_MIN_VERSION "6.8.0")
set(KF6_MIN_VERSION "6.14.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

option(BUILD_DOC "Whether to build the documentation" ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)
include(FeatureSummary)
include(CheckIncludeFile)
include(CheckIncludeFiles)
include(CheckSymbolExists)
include(ECMOptionalAddSubdirectory)
include(KDEClangFormat)
include(ECMDeprecationSettings)

include(KDEGitCommitHooks)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Widgets
    Svg
    DBus
)

find_package(Qt6Test ${QT_MIN_VERSION} CONFIG QUIET)
set_package_properties(Qt6Test PROPERTIES
         PURPOSE "Required for tests"
         TYPE OPTIONAL
         )
add_feature_info("Qt6Test" Qt6Test_FOUND "Required for building tests")
if (NOT Qt6Test_FOUND)
    set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
endif()

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    Config
    IconThemes
    I18n
    KCMUtils
    KIO
    Service
    WindowSystem
    Parts
    CoreAddons
    OPTIONAL_COMPONENTS
    Su
    WidgetsAddons
    QUIET
)

# Disables automatic conversions from QString (or char *) to QUrl.
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

option(WITH_X11 "Build kdesu and kstart with X11 support." ON)

ecm_set_disabled_deprecation_versions(QT 6.7.0 KF 6.4.0)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

if(BUILD_DOC)
    find_package(KF6DocTools ${KF6_MIN_VERSION})
    set_package_properties(KF6DocTools PROPERTIES
        DESCRIPTION "Tools to generate documentation"
        TYPE REQUIRED
    )
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

function(install_compat_symlink executable_target)
    add_custom_command(TARGET ${executable_target} POST_BUILD
                    COMMAND ${CMAKE_COMMAND} -E create_symlink ${executable_target} ${executable_target}5)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${executable_target}5 DESTINATION ${KDE_INSTALL_FULL_BINDIR})
endfunction()

add_subdirectory(keditfiletype)
add_subdirectory(kmimetypefinder)
add_subdirectory(kioclient)
add_subdirectory(ksvgtopng)
add_subdirectory(kdeinhibit)
add_subdirectory(plasma-open-settings)
add_subdirectory(kinfo)
add_subdirectory(kstart)

if(KF6Su_FOUND AND KF6WidgetsAddons_FOUND)
    add_subdirectory(kdesu)
endif()

if(UNIX)
    add_subdirectory(kdeeject)
    add_subdirectory(kbroadcastnotification)
endif()

check_include_files(sys/wait.h HAVE_SYS_WAIT_H)

check_include_file("sys/prctl.h" HAVE_SYS_PRCTL_H)
check_symbol_exists(PR_SET_DUMPABLE "sys/prctl.h" HAVE_PR_SET_DUMPABLE)
check_include_file("sys/procctl.h" HAVE_SYS_PROCCTL_H)
check_symbol_exists(PROC_TRACE_CTL "sys/procctl.h" HAVE_PROC_TRACE_CTL)
if (HAVE_PR_SET_DUMPABLE OR HAVE_PROC_TRACE_CTL)
  set(CAN_DISABLE_PTRACE TRUE)
endif()
add_feature_info("prctl-dumpable"
                 CAN_DISABLE_PTRACE
                "Required for disallowing ptrace on kdesu process")

configure_file (config-kde-cli-tools.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kde-cli-tools.h )

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kde-cli-tools (4:6.4.4-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 08 Aug 2025 15:50:23 +0000

kde-cli-tools (4:6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:08:19 +0000

kde-cli-tools (4:6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 10:54:09 +0000

kde-cli-tools (4:6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:40:35 +0000

kde-cli-tools (4:6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:37:02 +0000

kde-cli-tools (4:6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:08:33 +0000

kde-cli-tools (4:6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 20:45:05 +0000

kde-cli-tools (4:6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 06:55:52 +0000

kde-cli-tools (4:6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 14:56:02 +0000

kde-cli-tools (4:6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 16:59:37 +0000

kde-cli-tools (4:6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:42:37 +0000

kde-cli-tools (4:6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:19:19 +0000

kde-cli-tools (4:6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 02:47:13 +0000

kde-cli-tools (4:6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:22:24 +0000

kde-cli-tools (4:6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 23 Oct 2024 09:16:19 +0000

kde-cli-tools (4:6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:53:16 +0000

kde-cli-tools (4:6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 15:56:37 +0000

kde-cli-tools (4:6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 12:27:35 +0000

kde-cli-tools (4:6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:19:45 +0000

kde-cli-tools (4:6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:23:08 +0000

kde-cli-tools (4:6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 16:59:27 +0000

kde-cli-tools (4:6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:32:01 +0000

kde-cli-tools (4:6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 12:50:06 +0000

kde-cli-tools (4:6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:10:39 +0000

kde-cli-tools (4:6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:39:52 +0000

kde-cli-tools (4:6.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Mar 2024 23:56:24 +0000

kde-cli-tools (4:6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:16:12 +0000

kde-cli-tools (4:5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:12:16 +1000

kde-cli-tools (4:5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:45:24 +0000

kde-cli-tools (4:5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 14:54:20 +0000

kde-cli-tools (4:5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 16:15:41 +0000

kde-cli-tools (4:5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 May 2023 13:08:11 +0000

kde-cli-tools (4:5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 May 2023 13:08:11 +0000

kde-cli-tools (4:5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:24:12 +0000

kde-cli-tools (4:5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:05:20 +0000

kde-cli-tools (4:5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Mar 2023 11:07:06 +0000

kde-cli-tools (4:5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:27:05 +0000

kde-cli-tools (4:5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Jan 2023 10:23:01 +0000

kde-cli-tools (4:5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:39:21 +0000

kde-cli-tools (4:5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:35:53 +0000

kde-cli-tools (4:5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:18:17 +0000

kde-cli-tools (4:5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 09:52:48 +0000

kde-cli-tools (4:5.25.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:32:59 +0000

kde-cli-tools (4:5.25.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Aug 2022 13:08:29 +0000

kde-cli-tools (4:5.25.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2022 16:00:41 +0000



## kde-cli-tools 6.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(KDE-CLI-Tools)
-set(PROJECT_VERSION "6.4.4")
+set(PROJECT_VERSION "6.4.5")
 
 set(QT_MIN_VERSION "6.8.0")
 set(KF6_MIN_VERSION "6.14.0")

=== doc/CMakeLists.txt ===
ecm_optional_add_subdirectory(kcontrol6)
ecm_optional_add_subdirectory(kdesu)

=== keditfiletype/CMakeLists.txt ===
--- 
+++ 
@@ -34,13 +34,13 @@
 
 ########### next target ###############
 
-set(kcm_filetypes_SRCS filetypesview.cpp ${libfiletypes_SRCS})
+set(kcm_filetypes_SRCS filetypesview.cpp filetypesview.h ${libfiletypes_SRCS})
 
 kcoreaddons_add_plugin(kcm_filetypes SOURCES ${kcm_filetypes_SRCS} INSTALL_NAMESPACE "plasma/kcms/systemsettings_qwidgets")
 
 kcmutils_generate_desktop_file(kcm_filetypes)
 target_link_libraries(kcm_filetypes
-    KF6::ConfigWidgets
+    KF6::ConfigCore
     KF6::IconThemes
     KF6::IconWidgets
     KF6::I18n

=== debian/changelog ===
kde-cli-tools (4:6.4.5-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Sep 2025 00:11:43 +0100

kde-cli-tools (4:6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:00:52 +0100

kde-cli-tools (4:6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:27:25 +0100

=== debian/control ===
Source: kde-cli-tools
Section: utils
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libkf6config-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6doctools-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6iconthemes-dev (>= 6.14.0~),
               libkf6kcmutils-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6parts-dev (>= 6.14.0~),
               libkf6service-dev (>= 6.14.0~),
               libkf6su-dev (>= 6.14.0~),
               libkf6widgetsaddons-dev (>= 6.14.0~),
               libkf6windowsystem-dev (>= 6.14.0~),
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-svg-dev (>= 6.8.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/kde-cli-tools
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-cli-tools
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-cli-tools
Rules-Requires-Root: no

Package: kde-cli-tools
Architecture: any
Depends: kde-cli-tools-data (= ${source:Version}),
         kio6,
         libkf6su-bin,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: systemsettings,
Description: tools to use KDE services from the command line
 These command line tools enable you to use KDE services such as
 kioslaves, kdesu, QtSVG, kcontrol modules, KDE trader and start
 applications from the command line.
 .
 This package is part of the KDE Plasma.

Package: kde-cli-tools-data
Architecture: all
Depends: ${misc:Depends},
Description: tools to use kioslaves from the command line
 These command line tools enable you to use KDE services such as
 kioslaves, kdesu, QtSVG, kcontrol modules, KDE trader and start
 applications from the command line.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the data files

## kde-cli-tools 6.4.5+p24.04+vstable+git20251004.0433

=== debian/changelog ===
kde-cli-tools (4:6.4.5+p24.04+vstable+git20251004.0433-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 04:33:42 +0000

kde-cli-tools (4:6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 03:50:26 +0000

## kde-cli-tools 6.4.5+p24.04+vstable+git20251004.0534

=== debian/changelog ===
kde-cli-tools (4:6.4.5+p24.04+vstable+git20251004.0534-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:34:59 +0000

## kde-cli-tools 6.4.5+p24.04+vstable+git20251017.0813

=== debian/changelog ===
kde-cli-tools (4:6.4.5+p24.04+vstable+git20251017.0813-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 08:13:16 +0000

## kde-cli-tools 6.4.5+p24.04+vstable+git20251019.0300

=== debian/changelog ===
kde-cli-tools (4:6.4.5+p24.04+vstable+git20251019.0300-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:00:37 +0000

## kde-cli-tools 6.4.5+p24.04+vunstable+git20250930.1650

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(KDE-CLI-Tools)
-set(PROJECT_VERSION "6.4.5")
+set(PROJECT_VERSION "6.5.80")
 
-set(QT_MIN_VERSION "6.8.0")
-set(KF6_MIN_VERSION "6.14.0")
+set(QT_MIN_VERSION "6.9.0")
+set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)
@@ -71,7 +71,7 @@
 
 option(WITH_X11 "Build kdesu and kstart with X11 support." ON)
 
-ecm_set_disabled_deprecation_versions(QT 6.7.0 KF 6.4.0)
+ecm_set_disabled_deprecation_versions(QT 6.9.0 KF 6.16.0)
 
 include_directories(${CMAKE_CURRENT_BINARY_DIR})

=== debian/changelog ===
kde-cli-tools (4:6.4.5+p24.04+vunstable+git20250930.1650-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 16:50:59 +0000

## kde-cli-tools 6.4.5+p24.04+vunstable+git20251015.1359

=== debian/changelog ===
kde-cli-tools (4:6.4.5+p24.04+vunstable+git20251015.1359-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 13:59:32 +0000

## kde-cli-tools 6.4.5+p24.04+vunstable+git20251020.1134

=== debian/changelog ===
kde-cli-tools (4:6.4.5+p24.04+vunstable+git20251020.1134-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 11:34:12 +0000

## kde-cli-tools 6.4.91

=== kdeeject/CMakeLists.txt ===
install(PROGRAMS kdeeject DESTINATION ${KDE_INSTALL_LIBEXECDIR_KF})

=== debian/changelog ===
kde-cli-tools (4:6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 11:57:53 +0200

=== debian/control ===
Source: kde-cli-tools
Section: utils
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6parts-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6su-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev,
               qt6-svg-dev (>= 6.9.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/kde-cli-tools
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-cli-tools
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kde-cli-tools.git
Rules-Requires-Root: no

Package: kde-cli-tools
Architecture: any
Depends: kde-cli-tools-data (= ${source:Version}),
         kio6,
         libkf6su-bin,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: systemsettings,
Description: tools to use KDE services from the command line
 These command line tools enable you to use KDE services such as
 kioslaves, kdesu, QtSVG, kcontrol modules, KDE trader and start
 applications from the command line.
 .
 This package is part of the KDE Plasma.

Package: kde-cli-tools-data
Architecture: all
Depends: ${misc:Depends},
Description: tools to use kioslaves from the command line
 These command line tools enable you to use KDE services such as
 kioslaves, kdesu, QtSVG, kcontrol modules, KDE trader and start
 applications from the command line.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the data files

## kde-cli-tools 6.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(KDE-CLI-Tools)
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.0")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== kdeinhibit/CMakeLists.txt ===
add_executable(kde-inhibit main.cpp)
target_link_libraries(kde-inhibit Qt::Core Qt::DBus KF6::I18n KF6::CoreAddons)
install(TARGETS kde-inhibit ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES completions/kde-inhibit.zsh RENAME _kde-inhibit DESTINATION ${KDE_INSTALL_ZSHAUTOCOMPLETEDIR})

=== kstart/CMakeLists.txt ===
add_executable(kstart kstart.cpp kstart.h)
target_compile_definitions(kstart PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
target_link_libraries(kstart
    Qt::Gui
    KF6::I18n
    KF6::KIOGui
    KF6::Service
    KF6::WindowSystem)

if(WITH_X11)
	target_link_libraries(kstart Qt::GuiPrivate)
endif()

install_compat_symlink(kstart)
install(TARGETS kstart DESTINATION ${KDE_INSTALL_FULL_BINDIR})

=== doc/kdesu/CMakeLists.txt ===
########### install files ###############
#

#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kdesu)

kdoctools_create_manpage(man-kdesu.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})

=== debian/changelog ===
kde-cli-tools (4:6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:57:40 +0200

## kde-cli-tools 6.5.0+p24.04+vstable+git20251028.2231

=== debian/changelog ===
kde-cli-tools (4:6.5.0+p24.04+vstable+git20251028.2231-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 22:31:39 +0000

kde-cli-tools (4:6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:18:43 +0000

=== debian/tests/control ===
Tests: testsuite
Depends: dbus (>= 1.8),
         kded5,
         kinit,
         libgl1-mesa-dri,
         libkf5service-bin,
         openbox,
         vim,
         xauth,
         xvfb,
         @,
         @builddeps@
Restrictions: build-needed, allow-stderr

## kde-cli-tools 6.5.0+p24.04+vunstable+git20251021.0657

=== debian/changelog ===
kde-cli-tools (4:6.5.0+p24.04+vunstable+git20251021.0657-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:57:22 +0000

## kde-cli-tools 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(KDE-CLI-Tools)
-set(PROJECT_VERSION "6.5.0")
+set(PROJECT_VERSION "6.5.1")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== kdesu/CMakeLists.txt ===
add_executable(kdesu_executable kdesu.cpp sudlg.cpp sudlg.h)
target_compile_definitions(kdesu_executable PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

# in KDELibsDependencies.cmake installed by kdelibs there is a dependency to "kdesu"
# which is then recognized here as the target name for this executable
# so give the target here a different name and use the OUTPUT_NAME property to 
# give it the name kdesu
set_target_properties(kdesu_executable PROPERTIES OUTPUT_NAME kdesu)

target_link_libraries(kdesu_executable Qt::GuiPrivate KF6::WidgetsAddons KF6::I18n KF6::ConfigCore KF6::WindowSystem KF6::Su)

install(TARGETS kdesu_executable DESTINATION ${KDE_INSTALL_LIBEXECDIR_KF})

=== kmimetypefinder/CMakeLists.txt ===
add_executable(kmimetypefinder kmimetypefinder.cpp)
target_compile_definitions(kmimetypefinder PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
ecm_mark_nongui_executable(kmimetypefinder)

target_link_libraries(kmimetypefinder
   KF6::CoreAddons # KAboutData
   KF6::I18n       # i18n
   Qt::Core
)

install_compat_symlink(kmimetypefinder)
install(TARGETS kmimetypefinder DESTINATION ${KDE_INSTALL_FULL_BINDIR})

=== ksvgtopng/CMakeLists.txt ===
add_executable(ksvgtopng ksvgtopng.cpp)
ecm_mark_nongui_executable(ksvgtopng)
target_link_libraries(ksvgtopng Qt::Svg)
install_compat_symlink(ksvgtopng)
install(TARGETS ksvgtopng DESTINATION ${KDE_INSTALL_FULL_BINDIR})

=== keditfiletype/tests/CMakeLists.txt ===
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/.. )

########### filetypestest ###############

add_executable(filetypestest
 filetypestest.cpp
 ../mimetypedata.cpp
 ../mimetypewriter.cpp
)
ecm_mark_as_test(filetypestest)
add_test(NAME filetypestest COMMAND filetypestest)
target_link_libraries(filetypestest
   KF6::KIOCore
   KF6::Service
   KF6::Parts
   Qt::Core
   Qt::Gui
   Qt::Test
)

=== debian/changelog ===
kde-cli-tools (4:6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:07:59 +0100
